PerSpecRunListener (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.spock.listener

## [Groovy] Class PerSpecRunListener

- org.codehaus.groovy.grails.test.spock.listener.PerSpecRunListener

- Authors:
    Luke Daley
    Graeme Rocher

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PerSpecRunListener (java.lang.String name, GrailsTestEventPublisher eventPublisher, JUnitReports reports, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `finish()`
    `void` | `start()`
    `void` | `testFailure(org.junit.runner.notification.Failure failure)`
    `void` | `testFinished(org.junit.runner.Description description)`
    `void` | `testStarted(org.junit.runner.Description description)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.lang.String name

  - ### Constructor Detail

    - #### PerSpecRunListener(java.lang.String name, GrailsTestEventPublisher eventPublisher, JUnitReports reports, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)

  - ### Method Detail

    - #### void finish()

    - #### void start()

    - #### void testFailure(org.junit.runner.notification.Failure failure)

    - #### void testFinished(org.junit.runner.Description description)

    - #### void testStarted(org.junit.runner.Description description)